package com.qmth.paper.library.common.enums;

import java.util.Objects;

/**
 * @Description 系统文件类型定义
 */
public enum SystemFileTypeEnum {

    SIGN_SHEET("签到表"),

    SCORE_REPORT("成绩单"),

    OTHER("其他");


    private String title;

    private SystemFileTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public static String convertToName(String title) {
        for (SystemFileTypeEnum e : SystemFileTypeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }

}
